## sawfish 1.3.5.2

=== screenshotter/Makefile ===
all:

clean:
	rm -f *~

dist: clean
	rm -rf screenshotter screenshotter.tar.gz
	rm -f .*.sw?
	mkdir screenshotter
	find . -maxdepth 1 -type f -print0 | xargs -i -0 cp '{}' screenshotter
	tar cfvz screenshotter.tar.gz screenshotter

## sawfish 1.5.3

=== debian/changelog ===
sawfish (1:1.5.3-2.4) unstable; urgency=low

  * Non-maintainer upload
  * Move to automake1.11 (Closes: #724432)
  * Build-depend on libaudiofile-dev (Closes: #657601)

 -- Lionel Elie Mamane <lmamane@debian.org>  Tue, 11 Feb 2014 04:29:40 +0100

sawfish (1:1.5.3-2.3) unstable; urgency=low

  * Non-maintainer upload
  * Restore compatibility with Iceweasel 17 (Closes: #711846).
  * Use build flags from dpkg-buildflags
  * debian/rules: unset LANGUAGE, too
  * Description: remove starting article

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 08 Aug 2013 18:30:12 +0200

sawfish (1:1.5.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to undefined reference to `pango_x_render', thanks to Emilio
    Pozuelo Monfort <pochu@debian.org> for the patch. Closes: #701837, #713619

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2013 22:43:35 -0400

sawfish (1:1.5.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs field from the .la files. Closes: #633293.
  * Change Build-Depends on texinfo to >= 4.11.dfsg.1-3 only, no point in
    depending on pre-lenny versions. Closes: #629760.
  * Build-Depend on libgmp-dev | libgmp3-dev, as the later is a dummy
    transitional package. Closes: #618143.

 -- Regis Boudin <regis@debian.org>  Tue, 23 Aug 2011 21:02:12 +0100

sawfish (1:1.5.3-2) unstable; urgency=low

  * Remove reference to sawMILL in 00debian.jl (Closes: #557250).
  * Remove empty doc dirs and replace them with symlinks (Closes: #556991).
  * Rename sawfish maintainer scripts with the binary package name.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 23 Nov 2009 09:05:20 -0800

sawfish (1:1.5.3-1) unstable; urgency=low

  * New upstream release.
   + Makefile.in patch is now included upstream
   + Rebase config.patch
   + Distribute files new to this version
   + Bump Build-Depends on rep-gtk to 0.90
  * Move sawfish-lisp-source to section: lisp
  * Convert source package to 3.0 (quilt) format.
    No changes needed, yay for using quilt!

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 16 Nov 2009 18:41:09 -0800

sawfish (1:1.5.0-1) experimental; urgency=low

  * New upstream release.
   - Remove patches included upstream
   - Update build-dependencies.
   - Add warnings about config file name changes to NEWS.Debian
  * Move to debhelper 7
  * Add README file to the themes dir, to avoid it being empty
  * Move all docs into sawfish-data package.
   - sawfish-data replaces: sawfish (<< 1.5.0-1)
  * Add ${misc:Depends} to all packages
  * Add section for info file
  * Bump Standards-Version to 3.8.3.
   - Avoid calling install-info in maintainer scripts

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Fri, 04 Sep 2009 20:02:40 -0700

sawfish (1:1.3.5.2-1) unstable; urgency=low

  * New Upstream Release. Adds assorted bugfixes and updates from community
    reviewed patches and updates the build infrastructure to the new
    librep and rep-gtk releases.

    - theme/Crux/theme.jl: Added two new button layouts:
      Complete and Complete-Inverse (Closes: #101164).

    - debian/patches/integration.jl, debian/patches/menus.jl,
      debian/patches/sawfish-menus.jl have been integrated upstream.

    - config.h.in cherry picked from upstream 5b22f0c28 to define some macros.

  * debian/control: Bump build depends on librep and rep-gtk and add libtool.
  * Expand package descriptions.
  * sawfish-dbg is Section: debug and Recommends: sawfish-lisp-source.
  * Update debian/watch for the new upstream tarball names.
  * Remove unused quilt version lintian override.
  * Bump Standards-Version to 3.8.1. No changes needed.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 02 May 2009 15:03:53 -0700

sawfish (1:1.3.4-1) unstable; urgency=low

  * New upstream release (Closes: #501092).
   - Includes patch from upstream BTS to fix focus handling after move-window-*
   (Closes: #132236).
   - Bump build dependency on GTK+ to 2.6.
  * Loosen quilt dependency.
  * Add README.source. Bump Standards-Version to 3.8.0.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Thu, 05 Mar 2009 11:53:27 -0800

sawfish (1:1.3.3-1) unstable; urgency=low

  * New Upstream Release.
   - Fixes encoding issues introduced by the use of UTF-8 in
    1.3.2. (Closes: #464139).
   - Fixes pango fonts handling, to allow more than one to be used at a
    time (Closes: #269905).
   - Fixes interaction with KDE systray.
  * Loosen overly tight build-dependency on gettext, and tighten the one
    on quilt (We use the makefile snippet from 0.40-1)

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 18 Feb 2008 16:27:26 -0600

sawfish (1:1.3.2+debian-1) unstable; urgency=low

  * Repack source tarball, after running `make distclean'. The original
    tarball contains ./configure generated files with references to the
    i486 arch, which cause build failures in the rest of the
    architectures.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 04 Feb 2008 09:12:13 -0600

sawfish (1:1.3.2-1) unstable; urgency=low

  * New upstream release.
   - This release includes the patches collected by the sawfish community,
    In particular:
     http://sawfish.wikia.com/wiki/Fix_Xlib_client_message
     (Closes: #406559, #403100).
     http://sawfish.wikia.com/wiki/Net_wm_properties
     (Closes: #439311)
    As well as several others
   - Several of those patches we'd been carrying as debian-specific (but
    weren't, really). In particular:
     debian/patches/...
      updated-manual
      desktop_file
      fix-select-workspace
      dontSaveDesktopSize
      autoconf-upgrade
  * All the manpages have been regenerated, to remove the bad use of
    hyphens. The content was not changed.
  
 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 02 Feb 2008 23:19:47 -0600

sawfish (1:1.3.1-3) unstable; urgency=low

  * Build-Depend on texinfo (<< 4.11) | texinfo (>= 4.11.dfsg.1-3), to avoid


=== debian/control ===
Source: sawfish
Section: x11
Build-Conflicts: autoconf2.13, automake1.4
Priority: optional
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Standards-Version: 3.8.3
Build-Depends: gettext (>= 0.10.37), debhelper (>= 7.0.0), libxinerama-dev,
 libesd0-dev, rep-gtk (>= 1:0.90.0), libgmp-dev | libgmp3-dev (>= 4.1.4-8),
 texinfo (>= 4.11.dfsg.1-3), dpkg-dev (>= 1.16.1~),
 libgtk2.0-dev (>= 2.6), libxrender-dev, libxext-dev, libxt-dev,
 autotools-dev, automake1.11, quilt (>=0.40), librep-dev (>= 0.90.0),
 rep, libtool, libaudiofile-dev
Vcs-Browser: http://git.debian.org/?p=collab-maint/sawfish.git
Vcs-Git: git://git.debian.org/git/collab-maint/sawfish.git
Homepage: http://sawfish.wikia.com/

Package: sawfish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librep9 (>=0.90.0), rep,
 rep-gtk (>= 0.90.0), gnome-terminal | x-terminal-emulator,
 sawfish-data (= ${source:Version})
Suggests: menu, gnome-control-center, yelp
Provides: x-window-manager
Replaces: sawfish-lisp-source (<= 0.38-6), sawfish2
Conflicts: sawfish2, sawfish-themer, menu (<< 2.1.14)
Description: window manager for X11
 Sawfish is an extensible window manager using an Emacs Lisp-like scripting
 language. All window decorations are configurable, the basic idea is to
 have as much user-interface policy as possible controlled through the Lisp
 language.

Package: sawfish-dbg
Architecture: any
Depends: ${misc:Depends}, sawfish (= ${binary:Version}),
 sawfish-data (= ${source:Version})
Recommends: sawfish-lisp-source
Section: debug
Priority: extra
Description: sawfish debugging symbols
 This package contains the debugging symbols from the sawfish window manager.
 It is not needed for normal operation of the package.
 .
 Install it if you need to debug problems in sawfish. You will also almost
 certainly need sawfish-lisp-source in that case.

Package: sawfish-data
Architecture: all
Depends: ${misc:Depends}
Replaces: sawfish (<< 1:1.5.0-1)
Conflicts: sawfish (<= 1:1.3+cvs20060518-2)
Description: sawfish architecture independent data
 This package contains the architecture independent lisp compiled files
 and other data, such as theme pixmaps. It is unlikely to be of any
 use without the sawfish window manager.
 .
 The lisp source files are in the sawfish-lisp-source package.

Package: sawfish-lisp-source
Architecture: all
Section: lisp
Depends: ${misc:Depends}, sawfish-data (= ${source:Version})
Recommends: sawfish
Description: sawfish lisp files
 This package contains the lisp source files in case you want to modify,
 study or debug the behaviour of the window manager.
 .
 It is not required for normal use of sawfish and not installing it will save
 space in small systems.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

version = $(shell sed -n 's/version="\(.*\)"/\1/p' configure.in | head -n 1)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS += -Wall -fno-strict-aliasing

LC_ALL=
LINGUAS=
LANG=
LANGUAGE=
export LC_ALL LINGUAS LANG LANGUAGE

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub .

	aclocal-1.11
	autoconf

	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --with-readline \
	--libexecdir=/usr/lib $(confflags)

# Get rid of rpath
	set -e; \
	 tmpfile=`mktemp`; \
	 sed "s/^REP_LIBS=\(.*\)-Wl,--rpath -Wl,[^ ]* \(.*\)$$/REP_LIBS=\1 \2/" Makedefs >$$tmpfile ;\
	 mv $$tmpfile Makedefs

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -rf src/.libexec
	rm -rf src/.libs
	rm -rf autom4te.cache/

	dh_clean
	$(MAKE) -f debian/rules unpatch

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Fixup libdir in .la files
	find debian/tmp -name \*.la | while read file; do \
	  libdir=`echo $$file | sed -e 's@debian/tmp\(.*\)/[^/]*la$$@\1@' `; \
	  tmpfile=`mktemp`; \
	  sed "s@^libdir=.*@libdir='$$libdir'@" $$file >$$tmpfile; \
	  mv $$tmpfile $$file; \
	done

# Remove info files installed by Makefile. dh_installinfo will do it again without creating info.dir
	find debian -type d -name info | xargs rm -rf

	[ ! -f debian/sawfish-lisp-source.install ] || rm debian/sawfish-lisp-source.install
	find debian/tmp/usr/share/sawfish/*/lisp -name \*.jl | \
	 cut -d/ -f3- | grep -v 'autoload\|custom-defaults' > debian/sawfish-lisp-source.install

	cp debian/sawfish-data.install.in debian/sawfish-data.install
	find debian/tmp/usr/share/sawfish/*/lisp -name \*.jlc | \
	 cut -d/ -f3- | grep -v 'main' >> debian/sawfish-data.install

	#empty dependency_libs file in la files
	find debian/tmp/usr/lib -name *.la | xargs \
		sed -i "/^dependency_libs=/ s/'.*'/''/"

	dh_install --fail-missing

# These are scripts. (Actually, they are /usr/bin/sawfish-ui before and after compiling)
# Should that be a symlink?
	chmod a+x debian/sawfish/usr/share/sawfish/$(version)/lisp/sawfish/ui/main.jlc
	chmod a+x debian/sawfish-lisp-source/usr/share/sawfish/$(version)/lisp/sawfish/ui/main.jl


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -psawfish-data FAQ NEWS README TODO OPTIONS KEYBINDINGS USERDOC
	dh_installinfo -psawfish-data
	dh_installexamples -psawfish-data
	dh_installmenu -psawfish-data
	dh_installchangelogs -psawfish-data
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmenu -a
	dh_installman -a
	dh_installemacsen -a -psawfish
	dh_link -a
	dh_strip -a --dbg-package=sawfish-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

# Obtain upstream source snapshot from svn. Leaves it in
# debian/sawfish_$version.orig.tar.gz
# By default will get the latest version available, but can be controlled
# by setting SVN_REV before calling make

SVN_REPO ?= svn://svn.gnome.org/svn/sawfish/trunk
SVN_REV  ?= $(shell LANG=C svn info $(SVN_REPO) | grep Revision: | cut -d: -f 2 | sed 's/^ *\([^ ]*\) *$$/\1/')
export_dir = debian/tmp-src

source:
	dh_testdir
	mkdir -p $(export_dir)
	svn export -q -r $(SVN_REV) $(SVN_REPO) $(export_dir)/sawfish
# remove unneeded files
	cd $(export_dir)/sawfish; \
	 find . -name .cvsignore | xargs rm
	cd $(export_dir); \
	  tar czf ../sawfish_$$(sed -n 's/version="\(.*\)"/\1/p' sawfish/configure.in | head -n 1)+svn$(SVN_REV).orig.tar.gz sawfish
	-rm -rf $(export_dir)

.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://sf.net/sawmill/sawfish-([\d.]+)\.tar\.(?::gz|bz2) debian

## sawfish 1.11

=== debian/changelog ===
sawfish (1:1.11-2) unstable; urgency=low

  * Upload to unstable.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 19 Mar 2016 16:16:48 +0000

sawfish (1:1.11-1) experimental; urgency=low

  * New Maintainer (Closes: #738092).
  * Acknowledge the work in NMU:
    * Thanks Regis Boudin, David Prévot and Lionel Elie Mamane for their
      work in keeping sawfish in Debian all this years.

  * New Upstream version:
    * Imported Upstream version 1.6.0
    * Imported Upstream version 1.6.1
    * Imported Upstream version 1.6.2
    * Imported Upstream version 1.6.3
    * Imported Upstream version 1.7.0
    * Imported Upstream version 1.7.1
    * Imported Upstream version 1.8.0
    * Imported Upstream version 1.8.1
    * Imported Upstream version 1.8.2
    * Imported Upstream version 1.9.0
    * Imported Upstream version 1.9.1
    * Imported Upstream version 1.10
    * Imported Upstream version 1.11
    * Fix "/tmp directory name for socket" (Closes: #666918)
    * Fix "disappearing windows under Gnome + Xinerama" (Closes: #208202)
    * Fix "windows always placed at top left with xinerama" (Closes:
    #209149)
    * Fix "focus not handled properly with some child windows" (Closes:
    #220461)
    * Fix "Weird unmanaged windows with gnome / sawfish" (Closes: #238702)
    * Fix "Focus sometimes fails to follow mouse as pointer moves between
    screens" (Closes: #313576)
    * Fix "incomplete xinerama support, does not take dead zones into
    account" (Closes: #321426)
    * Fix "Panel buttons with a menu break sawfish if the menu is popped
    up" (Closes: #323857)
    * Fix "error message with java window" (Closes: #406673)
    * Fix "gnome weather applet has fixed size window" (Closes: #420562)
    * Fix "maximisation of windows not operative" (Closes:  #481340)
    * Fix "two-display side-by-side xinerama setup: cannot move windows to
    the secondary display" (Closes: #531708)
    * Fix "Can't manipulate windows after running a Java app" (Closes:
    #537341)
    * Fix "Amarok refuses to launch in Sawfish" (Closes: #544091)
    * Fix "Sawfish doesn't handle bindings properly in Russian keyboard
    layout" (Closes: #552421)
    * Fix "Key bindings using shift-backspace no longer work" (Closes:
    #584567)
    * Fix "Throws error message on every new window" (Closes: #611384)
    * Fix "Fails to cope with windows with rediculous maximum size"
    (Closes: #709245)
    * Fix "Alarm Pop Up Window can not be closed" (Closes: #381164)
    * Fix "/usr/share/applications/sawfish.desktop: uses legacy encoding"
    (Closes: #614142)
    * Fix "new upstream version available" (Closes: #565249)
    * Fix "Please package sawfish 1.10" (Closes: #766220)
    * Fix "Sawfish doesn't work properly with keybindings while using
    non-us keyboard layout" (Closes: #452004)
    * Fix "sawfish-gnome: doesn't support multihead" (Closes: #94976)
    * Fix "sawfish-gnome: [wish] 'Lock geometry' option in 'Matched
    Windows'." (Closes: #114389)
    * Fix "sawfish-gnome: wishlist: primitive operation to explicitly set
    window size" (Closes: #135077)
    * Fix "please backport fix for #711846 to wheezy" (Closes: #721652)
    * Fix "sawfish-ui unusable, crash *** Unbound variable:
    gtk-preview-new" (Closes: #613396)
    * Fix "Fails to integrate well with GNOME (missing .desktop file)"
    (Closes: #610895)

  * Debian work:
    * Patch section_for_info_file was accepted by upstream.
    * Patches refreshed.
    * Bump build depend rep-gtk, rep and add libxtst-dev
    * Replace Build-Depend on automake1.11 by automake.
    * Bump standards version to 3.9.7, created targets build-arch and
      build-indep.
    * wrap-and-sort the control files for easier read ability of future
      changes.
    * Update watch file because the sources are on a new archive.
    * Fix sawfish.postinst, jlc files moved one directory up.
    * Canonicalize URLs and switch to https of Vcs-* filds.
    * Update copyright with upstream.
    * Make copyright format 1.0.
    * Remove from debian/control old conflicts.
    * Change to dh rules.
    * Drop depend on quilt.
    * Remove menu file.
    * Handle the removal of links from /usr/share/doc.
    * Reduce the list files of files cleaned during target clean.
    * Clean sawfish.dirs.
    * Rename debian/manpages to debian/sawfish.manpages for clarity.

 -- Jose M Calhariz <jose@calhariz.com>  Wed, 10 Feb 2016 19:05:51 +0000

=== debian/control ===
Source: sawfish
Section: x11
Build-Conflicts: autoconf2.13,
Priority: optional
Maintainer: Jose M Calhariz <jose@calhariz.com>
Standards-Version: 3.9.7
Build-Depends: automake,
               autotools-dev,
               debhelper (>= 9.0.0),
               dh-autoreconf,
               gettext (>= 0.10.37),
               libaudiofile-dev,
               libesd0-dev,
               libgmp-dev | libgmp3-dev (>= 4.1.4-8),
               libgtk2.0-dev (>= 2.6),
               librep-dev (>= 0.92.5),
               libtool,
               libxext-dev,
               libxinerama-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               rep (>= 0.92.5),
               rep-gtk (>= 1:0.90.7),
               texinfo (>= 4.11.dfsg.1-3)
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sawfish.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sawfish.git
Homepage: http://sawfish.tuxfamily.org/

Package: sawfish
Architecture: any
Depends: gnome-terminal | x-terminal-emulator,
         rep,
         rep-gtk (>= 0.90.7),
         sawfish-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-control-center,
          menu,
          yelp
Provides: x-window-manager
Replaces: sawfish-lisp-source (<= 0.38-6),
          sawfish2
Conflicts: sawfish-themer,
           sawfish2
Description: window manager for X11
 Sawfish is an extensible window manager using an Emacs Lisp-like scripting
 language. All window decorations are configurable, the basic idea is to
 have as much user-interface policy as possible controlled through the Lisp
 language.

Package: sawfish-data
Architecture: all
Depends: ${misc:Depends}
Replaces: sawfish (<< 1:1.5.0-1)
Description: sawfish architecture independent data
 This package contains the architecture independent lisp compiled files
 and other data, such as theme pixmaps. It is unlikely to be of any
 use without the sawfish window manager.
 .
 The lisp source files are in the sawfish-lisp-source package.

Package: sawfish-lisp-source
Architecture: all
Section: lisp
Depends: sawfish-data (= ${source:Version}),
         ${misc:Depends}
Recommends: sawfish
Description: sawfish lisp files
 This package contains the lisp source files in case you want to modify,
 study or debug the behaviour of the window manager.
 .
 It is not required for normal use of sawfish and not installing it will save
 space in small systems.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_CFLAGS_MAINT_APPEND := -Wall -fno-strict-aliasing

%:
	dh $@ --parallel --with autoreconf --with autotools_dev

override_dh_auto_build:
	# Get rid of rpath
	set -e; \
	 tmpfile=`mktemp`; \
	 sed "s/^REP_LIBS=\(.*\)-Wl,--rpath -Wl,[^ ]* \(.*\)$$/REP_LIBS=\1 \2/" Makedefs >$$tmpfile ;\
	 mv $$tmpfile Makedefs
	dh_auto_build -O--parallel

override_dh_auto_install:
	dh_auto_install -O--parallel
	# Fixup libdir in .la files
	find debian/tmp -name \*.la | while read file; do \
	  libdir=`echo $$file | sed -e 's@debian/tmp\(.*\)/[^/]*la$$@\1@' `; \
	  tmpfile=`mktemp`; \
	  sed "s@^libdir=.*@libdir='$$libdir'@" $$file >$$tmpfile; \
	  mv $$tmpfile $$file; \
	done

	# Remove info files installed by Makefile. dh_installinfo will do it again without creating info.dir
	find debian -type d -name info | xargs rm -rf
	#empty dependency_libs file in la files
	find debian/tmp/usr/lib -name *.la | xargs \
		sed -i "/dependency_libs/ s/'.*'/''/"


override_dh_install:
	[ ! -f debian/sawfish-lisp-source.install ] || rm debian/sawfish-lisp-source.install
	find debian/tmp/usr/share/sawfish/lisp -name \*.jl | \
	 cut -d/ -f3- | grep -v 'autoload\|custom-defaults' > debian/sawfish-lisp-source.install

	cp debian/sawfish-data.install.in debian/sawfish-data.install
	find debian/tmp/usr/share/sawfish/lisp -name \*.jlc | \
	 cut -d/ -f3- | grep -v 'main' >> debian/sawfish-data.install

	#dh_install --fail-missing
	dh_install --list-missing

## sawfish 1.11.90

=== screenshotter/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 clean:
 	rm -f *~
+
+distclean: clean
 
 dist: clean
 	rm -rf screenshotter screenshotter.tar.gz

=== debian/changelog ===
sawfish (1:1.11.90-1) unstable; urgency=low

  * New upstream release.
  * Don't remove wallpaper.jlc (Closes: #819859).
  * Incomplete patch for: Removes timestamps, and fix files order, to make
    the build reproducible see Bug #820668.
  * Increase Standards-Version to 3.9.8, no changes needed.

 -- Jose M Calhariz <jose@calhariz.com>  Sun, 24 Apr 2016 16:16:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Build-Conflicts: autoconf2.13,
 Priority: optional
 Maintainer: Jose M Calhariz <jose@calhariz.com>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: automake,
                autotools-dev,
                debhelper (>= 9.0.0),

## sawfish 1.12.0

=== debian/changelog ===
sawfish (1:1.12.0-3) experimental; urgency=medium

  * New revision, this time with the upload of the upstream sources.
  * Revision 1:1.12.0-1 was not on Debian, so changing distribution to
    UNRELEASED.

 -- Jose M Calhariz <calhariz@debian.org>  Fri, 19 Jul 2019 14:29:59 +0100

sawfish (1:1.12.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jose M Calhariz ]
  * Thank you Ondřej Nový for your changes.
  * Thank you Laurent Bigonville for your NMU on 1:1.11.90-1.1,
    incorporating the changes:
    * debian/control: Drop build-dependency against libesd0-dev (Closes:
      #856089)
    * debian/control: Drop build-dependency against libaudiofile-dev (Closes:
      #857673)
  * Dropping the following changes because no longer apply to 1.12.0,
    possibility of regression:
    * debian/patches/make-build-reproducible: Fix files order in tarballs
      (Closes: 820668)
    * Fix FTCBFS: cross.patch (Closes: 864624)

 -- Jose M Calhariz <calhariz@debian.org>  Fri, 19 Jul 2019 00:44:03 +0100

sawfish (1:1.12.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * Patch config.patch refreshed.
  * Patches disabled because were accepted by upstream:
    guard_pangox_functions.patch, make-build-reproducible,
    fix-desktop-entry-lacks-keywords-entry,
    dont_remove_wallpaper_jlc.patch

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 20 Aug 2016 11:14:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
                debhelper (>= 9.0.0),
                dh-autoreconf,
                gettext (>= 0.10.37),
-               libaudiofile-dev,
-               libesd0-dev,
                libgmp-dev | libgmp3-dev (>= 4.1.4-8),
                libgtk2.0-dev (>= 2.6),
                librep-dev (>= 0.92.5),
@@ -23,8 +21,8 @@
                rep (>= 0.92.5),
                rep-gtk (>= 1:0.90.7),
                texinfo (>= 4.11.dfsg.1-3)
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sawfish.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sawfish.git
+Vcs-Browser: https://salsa.debian.org/debian/sawfish
+Vcs-Git: https://salsa.debian.org/debian/sawfish.git
 Homepage: http://sawfish.tuxfamily.org/
 
 Package: sawfish

## sawfish 1.12.90

=== debian/changelog ===
sawfish (3:1.12.90-1nano) unstable; urgency=low

  * New upstream beta release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Fri, 25 Aug 2017 22:12:45 +0200

sawfish (3:1.12.0-1nano) unstable; urgency=low

  * New upstream stable release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 13 Aug 2016 10:17:33 +0200

sawfish (3:1.12.0~pre1-1nano) unstable; urgency=low

  * Rebuild with new packaging scripts

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sun, 31 Jul 2016 12:37:13 +0200

sawfish (3:1.11.91-1nano) unstable; urgency=low

  * New upstream release candidate

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 30 Jul 2016 20:48:14 +0200

sawfish (3:1.11.90-1nano) unstable; urgency=low

  * New upstream release candidate

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Mon, 04 Jan 2016 00:24:21 +0100

sawfish (3:1.11-1nano) unstable; urgency=low

  * New upstream stable release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sun, 02 Nov 2014 19:10:11 +0100

sawfish (3:1.10.99-1nano) unstable; urgency=low

  * New upstream release candidate

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sun, 24 Aug 2014 19:59:59 +0200

sawfish (3:1.10-1nano) unstable; urgency=low

  * New upstream stable release

 -- Christopher Roy Bratusek <nano@tuxfamily.org>  Wed, 25 Sep 2013 20:37:10 +0200

sawfish (3:1.9.91-1nano) unstable; urgency=low

  * New upstream beta release

 -- Christopher Roy Bratusek <nano@tuxfamily.org>  Fri, 10 May 2013 09:00:00 +0200

sawfish (3:1.9.90-1nano) unstable; urgency=low

  * New upstream beta release

 -- Christopher Roy Bratusek <nano@tuxfamily.org>  Sat, 12 Jan 2013 18:27:15 +0200

## sawfish 1.13.0

=== debian/changelog ===
sawfish (3:1.13.0-1nano) unstable; urgency=low

  * new upstream stable release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 23 Dec 2021 19:16:24 +0100

sawfish (3:1.12.90-2nano.git20200222) unstable; urgency=low

  * New upstream snapshot build

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 22 Feb 2020 22:02:14 +0100
